
#include "mainctl.h"
#include "newmotion.h"
#include "generate.h"

extern FD_controlpanel *fmcp;
extern FD_newmotion *fnm;
extern FD_generate *fgen;

void initialize(FD_generate *fdui) 
{
  fl_addto_choice(fdui->distribution,"Square");
  fl_addto_choice(fdui->distribution,"Disk");
  fl_addto_choice(fdui->distribution,"Gauss");
  fl_addto_choice(fdui->wall,"Rectangular");
  fl_addto_choice(fdui->wall,"Circular");
}

void input_number(FL_OBJECT *obj, long data) {}
void choose_distrib(FL_OBJECT *obj, long data) {}
void choose_minspeed(FL_OBJECT *obj, long data) {}
void choose_maxspeed(FL_OBJECT *obj, long data) {}
void choose_walltype(FL_OBJECT *obj, long data) {}
void input_sizeofwall(FL_OBJECT *obj, long data) {}
void gen_setdefault(FL_OBJECT *obj, long data) {}
void gen_restore(FL_OBJECT *obj, long data) {}

void gen_cancel(FL_OBJECT *obj, long data) {
  
  fl_hide_form(fgen->generate);
  fl_free_form(fgen->generate);
  fl_free(fgen);
  fl_activate_form(fmcp->controlpanel);
}

void gen_ok(FL_OBJECT *obj, long data) {

  fl_hide_form(fgen->generate);
  fl_free_form(fgen->generate);
  fl_free(fgen);
  fl_activate_form(fmcp->controlpanel);
}
