
#include "mainctl.h"
#include "newmotion.h"
#include "generate.h"

extern FD_newmotion *fnm;
extern FD_controlpanel *fmcp;
extern FD_generate *fgen;

void nm_read_file(FL_OBJECT *obj, long arg) {
  
  const char *fname;
  fl_hide_form(fnm->newmotion);
  fl_free_form(fnm->newmotion);
  fl_free(fnm);
  fname = fl_show_file_selector("File To Load","","*","");
  fl_activate_form(fmcp->controlpanel);
}

void nm_generate(FL_OBJECT *obj, long arg) {

  fl_hide_form(fnm->newmotion);
  fl_free_form(fnm->newmotion);
  fl_free(fnm);
  fgen = create_form_generate();
  fl_show_form(fgen->generate,FL_PLACE_MOUSE,FL_TRANSIENT,"Genearte Objects");
}

void nm_cancel(FL_OBJECT *obj, long arg) {

  fl_hide_form(fnm->newmotion);
  fl_free_form(fnm->newmotion);
  fl_free(fnm);
  fl_activate_form(fmcp->controlpanel);
}

