/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include <stdio.h>
#include "mainctl.h"
#include "newmotion.h"
#include "generate.h"

extern FD_controlpanel *fmcp;
extern FD_newmotion *fnm;
extern FD_generate *fgen;

FD_generate *create_form_generate(void)
{
  FL_OBJECT *obj;
  FD_generate *fdui = (FD_generate *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(1);
  fdui->generate = fl_bgn_form(FL_NO_BOX, 560, 350);
  obj = fl_add_box(FL_UP_BOX,0,0,560,350,"");
  obj = fl_add_box(FL_UP_BOX,30,40,360,270,"");
  obj = fl_add_text(FL_NORMAL_TEXT,30,5,100,30,"Generate");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,60,45,100,25,"Objects");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,60,75,300,120,"");
  fdui->numberofobj = obj = fl_add_input(FL_NORMAL_INPUT,160,85,120,20,"Number of objects");
    fl_set_object_callback(obj,input_number,0);
  fdui->distribution = obj = fl_add_choice(FL_DROPLIST_CHOICE,135,118,145,20,"Distributions");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_callback(obj,choose_distrib,0);
  fdui->minspeed = obj = fl_add_input(FL_NORMAL_INPUT,145,155,50,20,"Minimum Speed");
    fl_set_object_callback(obj,choose_minspeed,0);
  fdui->maxspeed = obj = fl_add_input(FL_NORMAL_INPUT,260,155,50,20,"Max Speed");
    fl_set_object_callback(obj,choose_maxspeed,0);
  obj = fl_add_text(FL_NORMAL_TEXT,60,200,100,25,"Boundary");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,60,230,300,60,"");
  fdui->wall = obj = fl_add_choice(FL_DROPLIST_CHOICE,120,250,100,20,"Boundary");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_callback(obj,choose_walltype,0);
  fdui->sizeofwall = obj = fl_add_input(FL_NORMAL_INPUT,260,250,50,20,"Size");
    fl_set_object_callback(obj,input_sizeofwall,0);
  fdui->gen_default = obj = fl_add_button(FL_NORMAL_BUTTON,410,40,120,40,"Default");
    fl_set_object_callback(obj,gen_setdefault,0);
  fdui->gen_restore = obj = fl_add_button(FL_NORMAL_BUTTON,410,110,120,40,"Restore");
    fl_set_object_callback(obj,gen_restore,0);
  fdui->gen_cancel = obj = fl_add_button(FL_NORMAL_BUTTON,410,180,120,40,"Cancel");
    fl_set_object_callback(obj,gen_cancel,0);
  fdui->generate_ok = obj = fl_add_button(FL_NORMAL_BUTTON,410,270,120,40,"OK");
    fl_set_object_callback(obj,gen_ok,0);
  fl_end_form();
  fl_set_border_width(old_bw);
  initialize(fdui);
  return fdui;
}
/*---------------------------------------*/

