#ifndef FD_generate_h_
#define FD_generate_h_

#include <forms.h>
#include <stdlib.h>
#include <stdio.h>

/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void input_number(FL_OBJECT *, long);
extern void choose_distrib(FL_OBJECT *, long);
extern void choose_minspeed(FL_OBJECT *, long);
extern void choose_maxspeed(FL_OBJECT *, long);
extern void choose_walltype(FL_OBJECT *, long);
extern void input_sizeofwall(FL_OBJECT *, long);
extern void gen_setdefault(FL_OBJECT *, long);
extern void gen_restore(FL_OBJECT *, long);
extern void gen_cancel(FL_OBJECT *, long);
extern void gen_ok(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *generate;
	FL_OBJECT *numberofobj;
	FL_OBJECT *distribution;
	FL_OBJECT *minspeed;
	FL_OBJECT *maxspeed;
	FL_OBJECT *wall;
	FL_OBJECT *sizeofwall;
	FL_OBJECT *gen_default;
	FL_OBJECT *gen_restore;
	FL_OBJECT *gen_cancel;
	FL_OBJECT *generate_ok;
	void *vdata;
	long ldata;
} FD_generate;

extern FD_generate * create_form_generate(void);
extern void initialize(FD_generate *);

#endif /* FD_generate_h_ */
