/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "mainctl.h"

FD_controlpanel *create_form_controlpanel(void)
{
  FL_OBJECT *obj;
  FD_controlpanel *fdui = (FD_controlpanel *) fl_calloc(1, sizeof(*fdui));
  int old_bw = fl_get_border_width();

  fl_set_border_width(1);
  fdui->controlpanel = fl_bgn_form(FL_NO_BOX, 600, 350);
  obj = fl_add_box(FL_UP_BOX,0,0,600,350,"");
  obj = fl_add_text(FL_NORMAL_TEXT,30,5,100,25,"Main Control");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_box(FL_UP_BOX,30,35,540,60,"");
  fdui->play = obj = fl_add_button(FL_NORMAL_BUTTON,45,50,60,30,"Play");
    fl_set_object_callback(obj,do_play,0);
  fdui->stop = obj = fl_add_button(FL_NORMAL_BUTTON,120,50,60,30,"Stop");
    fl_set_object_callback(obj,do_stop,0);
  fdui->cont = obj = fl_add_button(FL_NORMAL_BUTTON,195,50,60,30,"Cont");
    fl_set_object_callback(obj,do_cont,0);
  fdui->next = obj = fl_add_button(FL_NORMAL_BUTTON,270,50,60,30,"Next");
    fl_set_object_callback(obj,do_next,0);
  fdui->quit = obj = fl_add_button(FL_NORMAL_BUTTON,345,50,60,30,"Quit");
    fl_set_object_callback(obj,do_quit,0);
  fdui->gen = obj = fl_add_button(FL_NORMAL_BUTTON,420,50,60,30,"New");
    fl_set_object_callback(obj,do_new,0);
  fdui->exit = obj = fl_add_button(FL_NORMAL_BUTTON,495,50,60,30,"Exit");
    fl_set_object_callback(obj,do_exit,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,105,100,25,"Configurations");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_box(FL_UP_BOX,30,135,260,180,"");
  fdui->config = obj = fl_add_choice(FL_DROPLIST_CHOICE,120,150,150,20,"Configurations");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,choose_config,0);
  fdui->balloption = obj = fl_add_roundbutton(FL_PUSH_BUTTON,40,180,50,20,"Ball");
    fl_set_object_callback(obj,choose_balloption,0);
  obj = fl_add_text(FL_NORMAL_TEXT,80,180,35,20,"radius");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->ballradius = obj = fl_add_valslider(FL_HOR_SLIDER,120,180,150,20,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_callback(obj,choose_ballradius,0);
    fl_set_slider_precision(obj, 0);
    fl_set_slider_bounds(obj, 1, 10);
    fl_set_slider_value(obj, 1);
     fl_set_slider_return(obj, FL_RETURN_CHANGED);
  obj = fl_add_text(FL_NORMAL_TEXT,45,210,100,20,"Interaction Option");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_box(FL_UP_BOX,45,233,230,70,"");
  fdui->paddle = obj = fl_add_checkbutton(FL_PUSH_BUTTON,60,239,100,26,"Paddle");
    fl_set_object_callback(obj,choose_paddle,0);
  fdui->dynins = obj = fl_add_checkbutton(FL_PUSH_BUTTON,60,268,100,26,"Dynamical insertion");
    fl_set_object_callback(obj,choose_dynins,0);
  obj = fl_add_text(FL_NORMAL_TEXT,310,105,100,25,"Display Option");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_box(FL_UP_BOX,310,135,260,180,"");
  obj = fl_add_text(FL_NORMAL_TEXT,325,150,80,20,"Display speed");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->speed = obj = fl_add_valslider(FL_HOR_SLIDER,325,180,200,20,"");
    fl_set_object_callback(obj,choose_speed,0);
    fl_set_slider_precision(obj, 1);
    fl_set_slider_bounds(obj, 0.0, 5.0);
     fl_set_slider_return(obj, FL_RETURN_CHANGED);
  fdui->deffect = obj = fl_add_roundbutton(FL_PUSH_BUTTON,320,220,120,20,"3D Effect");
    fl_set_object_callback(obj,choose_3d,0);
  fdui->contoption  = obj = fl_add_roundbutton(FL_PUSH_BUTTON,320,250,120,20,"Continuous");
    fl_set_object_callback(obj,choose_contoption,0);
  fdui->showcert = obj = fl_add_roundbutton(FL_PUSH_BUTTON,320,280,120,20,"Show certificates");
    fl_set_object_callback(obj,choose_showcert,0);
  fl_end_form();
  fl_set_border_width(old_bw);
  initialize(fdui);
  return fdui;
}
/*---------------------------------------*/

