#ifndef FD_controlpanel_h_
#define FD_controlpanel_h_

#include <forms.h> 
#include <stdlib.h>
#include <stdio.h>

/* Header file generated with fdesign. */

/**** Callback routines ****/


extern void do_play(FL_OBJECT *, long);
extern void do_stop(FL_OBJECT *, long);
extern void do_cont(FL_OBJECT *, long);
extern void do_next(FL_OBJECT *, long);
extern void do_quit(FL_OBJECT *, long);
extern void do_new(FL_OBJECT *, long);
extern void do_exit(FL_OBJECT *, long);
extern void choose_config(FL_OBJECT *, long);
extern void choose_balloption(FL_OBJECT *, long);
extern void choose_ballradius(FL_OBJECT *, long);
extern void choose_paddle(FL_OBJECT *, long);
extern void choose_dynins(FL_OBJECT *, long);
extern void choose_speed(FL_OBJECT *, long);
extern void choose_3d(FL_OBJECT *, long);
extern void choose_contoption(FL_OBJECT *, long);
extern void choose_showcert(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *controlpanel;
	FL_OBJECT *play;
	FL_OBJECT *stop;
	FL_OBJECT *cont;
	FL_OBJECT *next;
	FL_OBJECT *quit;
	FL_OBJECT *gen;
	FL_OBJECT *exit;
	FL_OBJECT *config;
	FL_OBJECT *balloption;
	FL_OBJECT *ballradius;
	FL_OBJECT *paddle;
	FL_OBJECT *dynins;
	FL_OBJECT *speed;
	FL_OBJECT *deffect;
	FL_OBJECT *contoption ;
	FL_OBJECT *showcert;
	void *vdata;
	long ldata;
} FD_controlpanel;

extern FD_controlpanel * create_form_controlpanel(void);
extern void initialize(FD_controlpanel *);
extern void initsetup(FD_controlpanel *);
#endif /* FD_controlpanel_h_ */
